Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1927)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1928)
@@ -48,7 +48,7 @@
 
 advancedUserMode = Advanced user mode
 
-allCriteria = All criteria
+allCriteria = All criteria (&)
 
 alwaysSaveBeforeLaunching = Always save before launching
 
@@ -833,7 +833,7 @@
 
 simple = Simple
 
-someCriteria = Some criteria
+someCriteria = Some criteria (|)
 
 sort = Sort
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1927)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1928)
@@ -46,7 +46,7 @@
 
 advancedUserMode = Mode avancé
 
-allCriteria = Tous les critères
+allCriteria = Tous les critères ensembles (&)
 
 alwaysSaveBeforeLaunching = Toujours sauvegarder avant de lancer
 
@@ -833,7 +833,7 @@
 
 simple = Simple
 
-someCriteria = Certains critères
+someCriteria = Certains critères (|)
 
 sort = Tri
 
Index: tmp/org.txm.setups/SUBVERSION
===================================================================
--- tmp/org.txm.setups/SUBVERSION	(revision 1927)
+++ tmp/org.txm.setups/SUBVERSION	(revision 1928)
@@ -1 +0,0 @@
-b4
\ No newline at end of file
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferences.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferences.java	(revision 1927)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferences.java	(revision 1928)
@@ -34,6 +34,6 @@
 	public void initializeDefaultPreferences() {
 		super.initializeDefaultPreferences();
 		Preferences preferences = this.getDefaultPreferencesNode();
-		preferences.putBoolean(FAST_HIGHLIGHT, true);
+		preferences.putBoolean(FAST_HIGHLIGHT, false);
 	}
 }
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 1927)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 1928)
@@ -187,7 +187,7 @@
 					+"\ntry{" //$NON-NLS-1$
 					+"\n	var style = document.createElement(\"style\");" //$NON-NLS-1$
 					+"\n	try { style.appendChild(document.createTextNode(\"\")); } catch (e) {};"//webkit hack //$NON-NLS-1$
-					+"\n	document.head.appendChild(style);" //$NON-NLS-1$
+					+"\n	document.body.appendChild(style);" //$NON-NLS-1$
 					+"\n	sheet = style.sheet;" //$NON-NLS-1$
 					+"\n} catch(e) {sheet='error'}" //$NON-NLS-1$
 					+"\ntry{" //$NON-NLS-1$
Index: tmp/org.txm.edition.rcp/res/js/functions.js
===================================================================
--- tmp/org.txm.edition.rcp/res/js/functions.js	(revision 1927)
+++ tmp/org.txm.edition.rcp/res/js/functions.js	(revision 1928)
@@ -133,68 +133,80 @@
 try {
 	if ("undefined" == typeof sheet || "undefined" == typeof txmstyle) {
 		txmstyle = document.createElement("style");
-		txmstyle.title="txm_btt"
-		try { txmstyle.appendChild(document.createTextNode("")); } catch (e) {};
-		document.head.appendChild(txmstyle);
+		txmstyle.title = "txm_btt"
+		try {
+			txmstyle.appendChild(document.createTextNode(""));
+		} catch (e) {
+		}
+		
+		document.body.appendChild(txmstyle);
 		sheet = txmstyle.sheet;
 	}
 } catch (e) {
 	sheet = 'error';
 }
 
-//try {
+// try {
 
-//if (!Element.prototype.scrollIntoViewIfNeeded) {
-//Element.prototype.scrollIntoViewIfNeeded = Element.prototype.scrollIntoView;
-////Element.prototype.scrollIntoViewIfNeeded = function(centerIfNeeded) {
-////centerIfNeeded = arguments.length === 0 ? true : !!centerIfNeeded;
-////var parent = this.parentNode, parentComputedStyle = window
-////.getComputedStyle(parent, null), parentBorderTopWidth = parseInt(parentComputedStyle
-////.getPropertyValue('border-top-width')), parentBorderLeftWidth = parseInt(parentComputedStyle
-////.getPropertyValue('border-left-width')), overTop = this.offsetTop
-////- parent.offsetTop < parent.scrollTop, overBottom = (this.offsetTop
-////- parent.offsetTop + this.clientHeight - parentBorderTopWidth) > (parent.scrollTop + parent.clientHeight), overLeft = this.offsetLeft
-////- parent.offsetLeft < parent.scrollLeft, overRight = (this.offsetLeft
-////- parent.offsetLeft + this.clientWidth - parentBorderLeftWidth) > (parent.scrollLeft + parent.clientWidth), alignWithTop = overTop
-////&& !overBottom;
-////if ((overTop || overBottom) && centerIfNeeded) {
-////parent.scrollTop = this.offsetTop - parent.offsetTop
-////- parent.clientHeight / 2 - parentBorderTopWidth
-////+ this.clientHeight / 2;
-////}
-////if ((overLeft || overRight) && centerIfNeeded) {
-////parent.scrollLeft = this.offsetLeft - parent.offsetLeft
-////- parent.clientWidth / 2 - parentBorderLeftWidth
-////+ this.clientWidth / 2;
-////}
-////if ((overTop || overBottom || overLeft || overRight)
-////&& !centerIfNeeded) {
-////this.scrollIntoView(alignWithTop);
-////}
-////};
-//}
-//} catch (e) {
-//Element.prototype.scrollIntoViewIfNeeded = Element.prototype.scrollIntoView
-//}
+// if (!Element.prototype.scrollIntoViewIfNeeded) {
+// Element.prototype.scrollIntoViewIfNeeded = Element.prototype.scrollIntoView;
+// //Element.prototype.scrollIntoViewIfNeeded = function(centerIfNeeded) {
+// //centerIfNeeded = arguments.length === 0 ? true : !!centerIfNeeded;
+// //var parent = this.parentNode, parentComputedStyle = window
+// //.getComputedStyle(parent, null), parentBorderTopWidth =
+// parseInt(parentComputedStyle
+// //.getPropertyValue('border-top-width')), parentBorderLeftWidth =
+// parseInt(parentComputedStyle
+// //.getPropertyValue('border-left-width')), overTop = this.offsetTop
+// //- parent.offsetTop < parent.scrollTop, overBottom = (this.offsetTop
+// //- parent.offsetTop + this.clientHeight - parentBorderTopWidth) >
+// (parent.scrollTop + parent.clientHeight), overLeft = this.offsetLeft
+// //- parent.offsetLeft < parent.scrollLeft, overRight = (this.offsetLeft
+// //- parent.offsetLeft + this.clientWidth - parentBorderLeftWidth) >
+// (parent.scrollLeft + parent.clientWidth), alignWithTop = overTop
+// //&& !overBottom;
+// //if ((overTop || overBottom) && centerIfNeeded) {
+// //parent.scrollTop = this.offsetTop - parent.offsetTop
+// //- parent.clientHeight / 2 - parentBorderTopWidth
+// //+ this.clientHeight / 2;
+// //}
+// //if ((overLeft || overRight) && centerIfNeeded) {
+// //parent.scrollLeft = this.offsetLeft - parent.offsetLeft
+// //- parent.clientWidth / 2 - parentBorderLeftWidth
+// //+ this.clientWidth / 2;
+// //}
+// //if ((overTop || overBottom || overLeft || overRight)
+// //&& !centerIfNeeded) {
+// //this.scrollIntoView(alignWithTop);
+// //}
+// //};
+// }
+// } catch (e) {
+// Element.prototype.scrollIntoViewIfNeeded = Element.prototype.scrollIntoView
+// }
 
 function showElementIfNeeded(el) {
 	if (!Element.prototype.scrollIntoViewIfNeeded) {
-		if (!isAnyPartOfElementInViewport(el)) el.scrollIntoView(false);
+		if (!isAnyPartOfElementInViewport(el))
+			el.scrollIntoView(false);
 	} else {
 		el.scrollIntoViewIfNeeded();
 	}
 }
 
 function isAnyPartOfElementInViewport(el) {
-	try { 
+	try {
 		const rect = el.getBoundingClientRect();
-		// 	DOMRect { x: 8, y: 8, width: 100, height: 100, top: 8, right: 108, bottom: 108, left: 8 }
+		// DOMRect { x: 8, y: 8, width: 100, height: 100, top: 8, right: 108,
+		// bottom: 108, left: 8 }
 		const windowHeight = (window.innerHeight || document.documentElement.clientHeight);
 		const windowWidth = (window.innerWidth || document.documentElement.clientWidth);
 
 		// http://stackoverflow.com/questions/325933/determine-whether-two-date-ranges-overlap
-		const vertInView = (rect.top <= windowHeight) && ((rect.top + rect.height) >= 0);
-		const horInView = (rect.left <= windowWidth) && ((rect.left + rect.width) >= 0);
+		const vertInView = (rect.top <= windowHeight)
+				&& ((rect.top + rect.height) >= 0);
+		const horInView = (rect.left <= windowWidth)
+				&& ((rect.left + rect.width) >= 0);
 
 		return (vertInView && horInView);
 	} catch (e) {
